> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Player Ping History

> Fetches comprehensive ping data for a specific player, including daily statistics (max, min, average) and historical records.



## OpenAPI

````yaml https://stash.seraph.si/json get /ping/{player}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /ping/{player}:
    get:
      tags:
        - Ping
        - Player
      summary: Get All Player Ping History
      description: >-
        Fetches comprehensive ping data for a specific player, including daily
        statistics (max, min, average) and historical records.
      parameters:
        - description: Player UUID to fetch ping history for
          in: path
          name: player
          required: true
          schema:
            type: string
        - description: Display the time properties
          in: query
          name: time
          schema:
            type: string
        - description: Display the history properties
          in: query
          name: history
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.PlayerPingOutputModelList'
          description: Successfully retrieved player ping history
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid player UUID
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Unauthorized, not enough permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    types.PlayerPingOutputModelList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/types.PlayerPingOutputModel'
          type: array
          uniqueItems: false
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    types.PlayerPingOutputModel:
      properties:
        avg:
          type: integer
        date:
          type: string
        history:
          items:
            type: integer
          type: array
          uniqueItems: false
        last_lobby:
          type: string
        last_ping:
          type: string
        max:
          type: integer
        min:
          type: integer
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````